Opened 6 years ago

Closed 5 years ago

Last modified 4 years ago

#161 closed defect (fixed)

QT PNG / PNG 24bpp INTERLACED with PAETH filter - broken output

Reported by: ami_stuff Owned by:
Priority: normal Component: avcodec
Version: git-master Keywords: png roundup
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: no

Description

issue 1428

https://roundup.libav.org/file531/Test_24bpp_interlaced_paeth.png

Author: ami_stuff 	Date: 2009-09-28.21:59:07 	

Attached file is PNG 24bpp INTERLACED with PAETH filter, decodes incorrectly.

This file decodes correctly with IrfanView/XnView/ImageMagick/Firefox.

PS. The same problem happens also with interlaced 1bpp (NONE, SUB or PAETH
filter) and 8bpp (only with PAETH filter) images.

--------

C:\>ffmpeg -i Test_24bpp_interlaced_paeth.png
FFmpeg version SVN-r20060, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  built on Sep 27 2009 13:07:58 with gcc 4.2.4
  configuration: --enable-memalign-hack --prefix=/mingw --cross-prefix=i686-ming
w32- --cc=ccache-i686-mingw32-gcc --target-os=mingw32 --arch=i686 --cpu=i686 --e
nable-avisynth --enable-gpl --enable-zlib --enable-bzlib --enable-libgsm --enabl
e-libfaad --enable-pthreads --enable-libvorbis --enable-libtheora --enable-libsp
eex --enable-libmp3lame --enable-libopenjpeg --enable-libxvid --enable-libschroe
dinger --enable-libx264
  libavutil     50. 3. 0 / 50. 3. 0
  libavcodec    52.36. 0 / 52.36. 0
  libavformat   52.39. 0 / 52.39. 0
  libavdevice   52. 2. 0 / 52. 2. 0
  libswscale     0. 7. 1 /  0. 7. 1
Input #0, image2, from 'Test_24bpp_interlaced_paeth.png':
  Duration: 00:00:00.04, start: 0.000000, bitrate: N/A
    Stream #0.0: Video: png, rgb24, 1024x768, 25 tbr, 25 tbn, 25 tbc
At least one output file must be specified
Author: cehoyos 	Date: 2009-09-28.22:57:39 	

Output looks funny.
Author: ami_stuff 	Date: 2009-11-07.03:20:01 	

I uploaded QT PNG (PAETH INTERLACED) file with the same problem to
"qt_png_paeth_interlaced" directory.

Attachments (1)

Test_24bpp_interlaced_paeth.png (1.0 MB) - added by cehoyos 6 years ago.

Download all attachments as: .zip

Change History (5)

comment:1 Changed 6 years ago by cehoyos

  • Component changed from undetermined to avcodec
  • Reproduced by developer set
  • Status changed from new to open
  • Version changed from unspecified to git-master

Changed 6 years ago by cehoyos

comment:2 Changed 5 years ago by michael

  • Resolution set to fixed
  • Status changed from open to closed

locally fixed will push soon

comment:3 Changed 5 years ago by cehoyos

  • Keywords png added

comment:4 Changed 4 years ago by cehoyos

  • Keywords roundup added
Note: See TracTickets for help on using tickets.